petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSGetSNES

Returns the SNES (nonlinear solver) associated with a TS (timestepper) context. Valid only for nonlinear problems.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetSNES(TS ts,SNES *snes)

Not Collective, but SNES is parallel if TS is parallel

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

snes -the nonlinear solver context

### Notes

The user can then directly manipulate the SNES context to set various options, etc. Likewise, the user can then extract and manipulate the KSP, KSP, and PC contexts as well.

TSGetSNES() does not work for integrators that do not use SNES; in this case TSGetSNES() returns NULL in snes.

### Level

beginner

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex14.c.html
src/ts/examples/tutorials/ex15.c.html
src/ts/examples/tutorials/ex17.c.html
src/ts/examples/tutorials/ex22.c.html
src/ts/examples/tutorials/ex24.c.html
src/ts/examples/tutorials/ex22f.F.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages